List PaymentMethods
curl --request GET \
--url https://api.gcore.com/billing/org/v1/payment_methods \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/payment_methods"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"title": "<string>",
"name": "adyen",
"type": "adyen"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}payment-methods
List PaymentMethods
Retrieve a list of PaymentMethod objects.
You can use query parameters to filter, sort, and paginate the results.
GET
/
billing
/
org
/
v1
/
payment_methods
List PaymentMethods
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Filter by currency char code (e.g. USD, EUR). Can be multiple.
Returns currencies with the specified char code.
Examples:
¤cy_char_code=USD¤cy_char_code=EUR¤cy_char_code=USD
Available values:
EUR- EuroUSD- US Dollar
Filter by currency ID. Can be multiple.
Returns currencies with the specified ID.
Examples:
¤cy_id=1¤cy_id=1¤cy_id=2
Available values:
1- US Dollar2- Euro
Number of results to return per page. Maximum is 100. Default is 20.
Internal name of payment method
adyen- adyenbank- bank
Available options:
adyen, bank The initial index from which to return the results.
Type of payment method
adyen- adyenbank- bankcard- cardpaypal- paypalwallet- walletalipay- alipaygooglepay- googlepayapplepay- applepay
Available options:
adyen, alipay, applepay, bank, card, googlepay, paypal, wallet Was this page helpful?